Bug 13957 - Patron autocomplete shows NULL in list of results
Summary: Patron autocomplete shows NULL in list of results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13892
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-06 09:59 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13957: If not value, display an empty string instead of "null" (1.59 KB, patch)
2015-04-07 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13957: If no value, display an empty string instead of "null" (1.59 KB, patch)
2015-04-07 14:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13957: If no value, display an empty string instead of "null" (1.68 KB, patch)
2015-04-08 09:27 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 13957: If no value, display an empty string instead of "null" (1.68 KB, patch)
2015-04-08 09:28 UTC, Nicolas Legrand
Details | Diff | Splinter Review
[PASSED QA] Bug 13957: If no value, display an empty string instead of "null" (1.74 KB, patch)
2015-04-10 16:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-06 09:59:08 UTC
When doing a search for a patron from the checkout tab, using the autocomplete feature, the result list shows a 'null' at the end of each result line.
Comment 1 Jonathan Druart 2015-04-07 14:46:27 UTC
Introduced by bug 13892.
Comment 2 Jonathan Druart 2015-04-07 14:49:06 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-07 14:50:07 UTC Comment hidden (obsolete)
Comment 4 Nicolas Legrand 2015-04-08 09:27:37 UTC Comment hidden (obsolete)
Comment 5 Nicolas Legrand 2015-04-08 09:28:19 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-04-10 16:41:28 UTC
Created attachment 37666 [details] [review]
[PASSED QA] Bug 13957: If no value, display an empty string instead of "null"

Using the autocomplete feature in the patron search, if one value is
missing (i.e. country), it will be replaced with 'null'.
The default value should be an empty string.

Test plan:
0/ Enable the patron autocomplete feature
1/ Create a patron without value for country, address, zipcode, city
2/ Go on the circ home page
3/ Search for this patron. The country should not have been replaced by
"null".

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-04-13 16:32:30 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-04-20 10:25:19 UTC
Doesn't apply to 3.18.x please rebase if needed
Comment 9 Jonathan Druart 2015-04-20 10:31:59 UTC
(In reply to Chris Cormack from comment #8)
> Doesn't apply to 3.18.x please rebase if needed

Not needed, its introduced by bug 13892, which is not in 3.18.x